.why-section {
    background-color: #121212;
    color: #fff;
    text-align: center;
    padding: 40px 20px;
    box-sizing: border-box;
    margin-bottom: 100px;
    margin-top: 50px;
}
.why-heading {
    font-size: 3rem;
    margin-bottom: 70px;
    margin-top: 0;
    text-transform: uppercase;
    font-weight: 700;
    letter-spacing: 1.5px;
    color: #FFFFFF;
}
.why-highlight {
    font-size: 3rem;
    color: #ffffff;
    font-weight: bold;
}
.features {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
    margin-top: 20px;
}
.feature {
    overflow: hidden;
    background: #1a1a1a;
    padding: 20px;  
    border-radius: 8px;
    width: 300px;  
    text-align: center;
    border: 1px solid #333;
    transition: transform 0.3s ease, background-color 0.3s ease, box-shadow 0.3s ease;
    /* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);  */
}
.feature:hover {
    transform: translateY(-10px);
    box-shadow: 0px 2px 10px #800000;
}
.feature-icon img {
    width: 60px;  
    height: 60px;
    margin-bottom: 15px;
    transition: transform 0.3s ease;
}

.feature:hover .feature-icon img {
    transform: scale(1.1); 
}

.feature-text {
    font-size: 16px;
    /* font-weight: 600; */
    line-height: 1.5;
    color: #ddd;
    transition: color 0.3s ease;
}

.feature:hover .feature-text {
    /* color:#e60000; */
    /* font-size: 1.2rem; */
}

@media (max-width: 1024px) {
    .feature {
        width: 90%;  
    }
    .features {
        gap: 40px; 
    }
    .feature-icon img {
        width: 50px; 
        height: 50px;
    }
    .feature-text {
        font-size: 40px; 
    }
}

@media (max-width: 768px) {
    .features {
        flex-direction: column;
        align-items: center;
    }

    .feature {
        height: 500px;
        width: 90%; Full width on smaller screens
    }

    .why-heading {
        font-size: 2rem; 
    }

    .why-heading span{
        font-size: 2rem; 
    }

}

@media (max-width: 480px) {
    /* .why-heading {
        font-size: 1.5rem; 
    /* } */ 

    .feature-icon img {
        width: 40px; 
        height: 40px;
    }

    .feature {
        width: 90%;
        flex: 1 1 100%; 
        /* width: 90%;  */
    }
    .feature-text {
        font-size: 14px; /* Smaller text on mobile */
    }

    
}